## gpivtools 0.6.0

=== debian/changelog ===
gpivtools (0.6.0-4build1) xenial; urgency=medium

  * No-change rebuild for openmpi transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2016 11:27:58 +0000

gpivtools (0.6.0-4) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #810339)
  * Update Build-Depends for GSL 2, change libgsl0-dev to libgsl-dev, thanks
    to Bas Couwenberg.  (Closes: #807235)
  * Fix changelog timestamps.  (Closes: #798998)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Jan 2016 14:02:51 +0100

gpivtools (0.6.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #656665).

 -- Gilles Filippini <pini@debian.org>  Wed, 06 Aug 2014 17:24:43 +0200

gpivtools (0.6.0-3) unstable; urgency=low

  [Gerfried Fuchs]
  * Improved description (Closes: #539717)
  [Nicholas Breen]
  * Update Depends: mpipython (Closes: #646418)

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Wed, 17 Apr 2012 14:19:01 +0100

gpivtools (0.6.0-2) unstable; urgency=low

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Thu, 08 Mar 2012 16:19:01 -0500

gpivtools (0.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with binutils-gold" add link to libm
    (thanks Mahyuddin Susanto) (Closes: #554737)
  * Changed urgency to medium

 -- root <meike@debian.org>  Sat, 03 Dec 2011 14:09:44 +0100

gpivtools (0.6.0-1) unstable; urgency=low

  * New upstream release
  * Added gpivtools-mpi

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Fri, 23 Jan 2009 10:17:00 +0100

gpivtools (0.5.2-3) unstable; urgency=low

  * Improved from 2nd comments provided by Vincent Bernat:
  * Included patches 01_manpages and 02_clean_misc

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Tue, 10 Jun 2008 13:21:00 +0100

gpivtools (0.5.2-2) unstable; urgency=low

  * Improved from comments provided by Vincent Bernat

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Fri, 6 Jun 2008 15:48:00 +0100

gpivtools (0.5.2-1) unstable; urgency=low

  * New upstream release

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Wed, 9 Apr 2008 12:06:08 +0100

gpivtools (0.3.3-2) unstable; urgency=low

  * Updated to Standards-Version: 3.7.2 

 --  Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Wed, 7 Jun 2006 18:09:21 +0100

gpivtools (0.3.3-1) unstable; urgency=low

  * Initial Release. Closes: #354152

 -- Gerber van der Graaf <gerber_graaf@users.sourceforge.net>  Thu, 20 Apr 2006 19:05:05 +0100
