=== debian/control ===
Source: gpivtools
Section: science
Priority: optional
Standards-Version: 3.9.3.1
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://gpivtools.sourceforge.net/
Build-Depends: debhelper (>= 9), autotools-dev, libgpiv3-dev,
 perl, libfftw3-dev, libgsl-dev, libhdf5-dev (>= 1.8.8),
 libglib2.0-dev, libpng-dev, libgomp1, mpi-default-dev

Package: gpivtools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libgpiv3,  python
Replaces: gpivtools-mpi
Conflicts: gpivtools-mpi
Recommends: plotmtv, imagemagick
Description: command line programs for Particle Image Velocimetry
 A collection of programs for images that are generated
 during a Particle Image Velocimetry (PIV) experiment. This is a
 technique to obtain the velocity field of a fluid flow quantitatively
 and is performed by tracking tracer particles that have been seeded
 to a fluid. The technique is also applied for observing deformations
 at surfaces of (solid) bodies. The package contains:
  * an image processing program for typical filtering and manipulation
    routines that may be convenient for PIV.
  * an image interrogation program resulting into estimators of particle
    image displacements.
  * validation programs to test on outliers, peak-locking effect and
    velocity gradients.
  * post-processing programs for data manipulation (flipping, rotation
    etc), spatial and time scaling, calculation of spatial averages and
    derivative quantities from the PIV data, like vorticity and strain.
  * miscellaneous programs and scripts to perform image format conversion,
    batch-processing, pipeline processing (image evaluation, validation and
    post-processing at once), calculation of time averages from a series
    of PIV data sets, data-visualization and data-manipulation.
 .
 All programs start with gpiv_.
 .
 This package contains all files used by gpivtools and gpivtools-mpi,
 like the man pages.

Package: gpivtools-mpi
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libgpiv-mpi3, mpi-default-bin, 
 openmpipython | mpich2python | mpipython, python-scientific
Replaces: gpivtools
Conflicts: gpivtools
Recommends: plotmtv, imagemagick
Description: command line programs for Particle Image Velocimetry - MPI version
 A collection of programs for images that are generated
 during a Particle Image Velocimetry (PIV) experiment. This is a
 technique to obtain the velocity field of a fluid flow quantitatively
 and is performed by tracking tracer particles that have been seeded
 to a fluid. The technique is also applied for observing deformations
 at surfaces of (solid) bodies. The package contains:
  * an image processing program for typical filtering and manipulation
    routines that may be convenient for PIV.
  * an image interrogation program resulting into estimators of particle
    image displacements.
  * validation programs to test on outliers, peak-locking effect and
    velocity gradients.
  * post-processing programs for data manipulation (flipping, rotation
    etc), spatial and time scaling, calculation of spatial averages and
    derivative quantities from the PIV data, like vorticity and strain.
  * miscellaneous programs and scripts to perform image format conversion,
    batch-processing, pipeline processing (image evaluation, validation and
    post-processing at once), calculation of time averages from a series
    of PIV data sets, data-visualization and data-manipulation.
 .
 This package contains the MPI-parallelized programs for use on
 a (Beowulf) cluster. All programs start with gpiv_.
